" />
  • 紅軟基地:您身邊最放心的安全下載站!
您所在的位置:首頁 > 軟件 > 編程開發 > 編程其他 > apache-maven-3.0.5兼容jdk1.6

apache-maven-3.0.5兼容jdk1.6

軟件類型:
國產軟件
軟件語言:
英文
軟件大小:
6 MB
軟件授權:
免費軟件
軟件評級:
4
更新時間:
2017-10-08
應用平臺:
WinXP, Win7, WinAll
同類推薦軟件
軟件簡介

這是apache-maven-3.0.5兼容jdk1.6下載,不要使用任何外部的SNAPSHOT依賴,這里我卻在使用SNAPSHOT的Maven,未免有些諷刺的意味,因此難免有些擔心。不過,build完Nexus之后,我的擔心就消除了,使用maven3 build Nexus沒有出現任何問題。而且從build輸出我就發現maven3的一大優點,build輸出更加明了。

軟件介紹

JDK Maven 3.2 requires JDK 1.6 or above, while Maven 3.0/3.1 requires JDK 1.5 or above (this is to execute Maven - it still allows you to build against 1.3 and prior JDK's)
Memory No minimum requirement
Disk No minimum requirement. Approximately 100MB will be used for your local repository, however this will vary depending on usage and can be removed and redownloaded at any time.
Operating System No minimum requirement. On Windows, Windows NT and above or Cygwin is required for the startup scripts. Tested on Windows XP, Fedora Core and Mac OS X.

軟件步驟

1.在安裝maven之前,先確保已經安裝JDK1.6及以上版本,并且配置好環境變量。
2.下載maven3,最新版本是Maven3.0.4。
下載apache-maven-3.0.4-bin.zip文件后,并解壓到  D:\cloud_cms\maven\apache-maven-3.0.4
3.配置maven3的環境變量:先配置M2_HOME的環境變量,新建一個系統變量:M2_HOME , 路徑是:D:\cloud_cms\maven\apache-maven-3.0.4,如圖所示:
再配置path環境變量,在path值的末尾添加"%M2_HOME%\bin",如下圖所示;
5.點擊確定之后,打開cmd窗口:輸入 mvn -version,出現如下內容表示安裝成功。

相關介紹

apache-maven-3.0.5兼容jdk1.6是系統要求jdk1.6或以上,但是我最近電腦重裝系統之后,不想安裝太多版本jdk,所以就安裝了1.7的最新版。
沒想到使用MAVEN的時候,總是無法下載插件,無法聯網,就算增加源也解決不了問題,很費解。在Google上查詢結果后也沒有找到解決辦法。

軟件截圖

 apache-maven-3.0.5兼容jdk1.6

軟件下載地址
apache-maven-3.0.5兼容jdk1.6
軟件推薦
下載排行

精品軟件

熱門關鍵詞

熱門軟件推薦